<?php
if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to ' . basename(__FILE__) . ' is not allowed.');
defined("DS") OR define("DS", DIRECTORY_SEPARATOR);
/**
 * @package VehicleManager Location Map
 * @author Andrey Kvasnevskiy - OrdaSoft (akbet@mail.ru); Sergey Brovko - OrdaSoft (brovinho@mail.ru)
 * @copyright 2020 by OrdaSoft
 * Homepage: http://www.ordasoft.com
 * @description Location map for VehicleManager
*/

/** ensure this file is being included by a parent file */
defined( '_JEXEC' ) or die( 'Restricted access' );

$path = JPATH_BASE. '/' .'components'. '/' .'com_vehiclemanager'. '/' .'functions.php';
if (!file_exists($path)){
  echo "To display the Module You have to install Joomla Vehicle Manager Component first<br />"; exit;
} else{
  require_once($path);
}


vmLittleThings::language_load_VM();

require_once (dirname(__FILE__).'/helper.php');

$doc = JFactory::getDocument();
if(checkStylesIncludedVEH("/vehiclemanager.css") === false ) {
    $doc->addStyleSheet('components/com_vehiclemanager/includes/vehiclemanager.css');
}

$list = modVMLocationHelper::getLink($params);

require JModuleHelper::getLayoutPath('mod_vehiclemanager_location_map',$params->get('layout', 'default'));
